- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Enumerations | Functions
Ecore_Audio.h File Reference

Audio utility functions. More...

## Data Structures
struct | _Ecore_Audio_Vio

## Typedefs
typedef enum _Ecore_Audio_Type | Ecore_Audio_Type
typedef enum _Ecore_Audio_Format | Ecore_Audio_Format
| The format of the audio data.
typedef struct _Ecore_Audio_Module | Ecore_Audio_Module
| The audio module. More...
typedef struct _Ecore_Audio_Object | Ecore_Audio_Object
| The audio object. More...
typedef struct _Ecore_Audio_Vio | Ecore_Audio_Vio
| Holds the callback functions to implement virtual file IO. More...

## Enumerations
enum | _Ecore_Audio_Type { ECORE_AUDIO_TYPE_PULSE, ECORE_AUDIO_TYPE_ALSA, ECORE_AUDIO_TYPE_SNDFILE, ECORE_AUDIO_TYPE_TONE, ECORE_AUDIO_TYPE_CUSTOM, ECORE_AUDIO_MODULE_LAST }
enum | _Ecore_Audio_Format { ECORE_AUDIO_FORMAT_AUTO, ECORE_AUDIO_FORMAT_RAW, ECORE_AUDIO_FORMAT_WAV, ECORE_AUDIO_FORMAT_OGG, ECORE_AUDIO_FORMAT_FLAC, ECORE_AUDIO_FORMAT_MP3, ECORE_AUDIO_FORMAT_LAST }

## Functions
EAPI int | ecore_audio_init (void)
| Initialize the Ecore_Audio library. More...
EAPI int | ecore_audio_shutdown (void)
| Shut down the Ecore_Audio library. More...

## Detailed Description

Audio utility functions.